-- EasyChangeTransmissionType
-- Specialization to change transmission type via input action
-- Version 1.0.0.0
-- @author Vector Man
-- @date 2021-12-09
-- copyright Vector Man, All Rights Reserved.

g_specializationManager:addSpecialization('EasyChangeTransmissionType', 'EasyChangeTransmissionType', Utils.getFilename('src/easyChangeTransmissionType.lua', g_currentModDirectory), true, nil)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	if SpecializationUtil.hasSpecialization(Enterable, vehicleType.specializations) then
		g_vehicleTypeManager:addSpecialization(vehicleName, 'EasyChangeTransmissionType')
	end
 end
 
 g_i18n:addModI18N(g_currentModName) -- Add mod to i18n to allow custom translations
 